Kod QR AI
GET https://qrcloud.online/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcloud.online/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Butiran | Penerangan |
|---|---|---|
| search | Pilihan String | The cari string. |
| search_by | Pilihan String | Dalam bidang manakah anda mencari. Nilai yang dibenarkan adalah: name. |
| datetime_field | Pilihan String | Allowed values: datetime, last_datetime |
| datetime_start | Pilihan String | Tapis hasil bermula dari tarikh ini. Format Y-m-d H:i:s. |
| datetime_end | Pilihan String | Tapis keputusan sehingga tarikh ini. Format Y-m-d H:i:s. |
| order_by | Pilihan String | Bidang untuk menyusun hasil mengikutnya. Nilai yang dibenarkan ialah: ai_qr_code_id, datetime, last_datetime, name. |
| order_type | Pilihan String | Susunan keputusan. Nilai yang dibenarkan ialah: ASC untuk susunan menaik, dan DESC untuk susunan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda mahu keputusan dari. Lalai kepada 1. |
| results_per_page | Pilihan Integer | How many results you want per halaman. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcloud.online/uploads/ai_qr_codes/example.png",
"content": "https://qrcloud.online/",
"prompt": "Nature scenery at sunset, waterfall, wild animals and sunshine rays"
"embedded_data": "https://qrcloud.online/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-04-29 19:43:42",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/ai-qr-codes?page=1",
"last": "https://qrcloud.online/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/ai-qr-codes?page=1"
}
}
GET https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcloud.online/uploads/ai_qr_codes/example.png",
"content": "https://qrcloud.online/",
"prompt": "Nature scenery at sunset, waterfall, wild animals and sunshine rays"
"embedded_data": "https://qrcloud.online/",
"last_datetime": null,
"datetime": "2026-04-29 19:43:42",
}
}
POST https://qrcloud.online/api/ai-qr-codes
| Parameters | Butiran | Penerangan |
|---|---|---|
| link_id | Pilihan Integer | - |
| project_id | Pilihan Integer | - |
| name | Diperlukan String | - |
| content | Diperlukan String | - |
| prompt | Diperlukan String | - |
| Parameters | Butiran | Penerangan |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Nature scenery at sunset, waterfall, wild animals and sunshine rays' \
--form 'content=https://qrcloud.online/' \
--url 'https://qrcloud.online/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Nature scenery at sunset, waterfall, wild animals and sunshine rays' \
--form 'content=https://qrcloud.online/' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
| Parameters | Butiran | Penerangan |
|---|---|---|
| link_id | Pilihan Integer | - |
| project_id | Pilihan String | - |
| name | Pilihan String | - |
| content | Pilihan String | - |
| prompt | Pilihan String | - |
curl --request POST \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \